# Deprecated API

## Contents

- Terminally Deprecated
- Methods

Terminally Deprecated Elements
Element
Description
jakarta.el.ArrayELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.BeanELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.BeanNameELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.CompositeELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.ELResolver.getFeatureDescriptors(ELContext, Object)
This method will be removed, without replacement, in EL 6.0 / Tomcat 11.
jakarta.el.ListELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.MapELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.ResourceBundleELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.StaticFieldELResolver.getFeatureDescriptors(ELContext, Object)
This method will be removed, without replacement, in EL 6.0 / Tomcat 11.
jakarta.el.TypeConverter.getFeatureDescriptors(ELContext, Object)

Deprecated Methods
Method
Description
jakarta.el.ArrayELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.BeanELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.BeanNameELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.CompositeELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.ELResolver.getFeatureDescriptors(ELContext, Object)
This method will be removed, without replacement, in EL 6.0 / Tomcat 11.
jakarta.el.ListELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.MapELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.ResourceBundleELResolver.getFeatureDescriptors(ELContext, Object)
jakarta.el.StaticFieldELResolver.getFeatureDescriptors(ELContext, Object)
This method will be removed, without replacement, in EL 6.0 / Tomcat 11.
jakarta.el.TypeConverter.getFeatureDescriptors(ELContext, Object)